/*
 * Example for Mic click
 *
 * Date         Mar 2017
 * Author       Djordje Rosic
 * Copyright    GNU Public License v2
 *
 * Test configuration PIC :
 *  MCU           :        P18F87K22
 *  Dev. Board    :        EasyPIC PRO v7
 *  SW            :        mikroC PRO for PIC v7.0.1
 *
 ******************************************************************************/


#include "tft_resources.h"
#include <stdint.h>

uint16_t x;
uint16_t y;
uint16_t oldx;
uint16_t oldy;


static void systemInit( void );
/*
 * System Initialization
 */
void systemInit ()
{
    x = 1;
    oldx = 0;
    oldy = 144;

    displayInit();
}

void main()
{

    uint16_t valueMeasured;
    systemInit ();
    TFT_Set_Pen( CL_RED, 1 );
    while (1)
    {
        valueMeasured =  ADC_Read(0);

        y=valueMeasured/26 + 71;
        if (x !=0)
            TFT_Line (x, y, oldx, oldy);
        oldx = x;
        oldy = y;
        Delay_ms (10);
        x++;
        if (x==320)
        {
            x=0;
            TFT_Set_Pen( CL_WHITE, 1 );
            TFT_Rectangle (0,71,320,219);
            TFT_Set_Pen( CL_RED, 1 );
        }
    }
}
/************************************************************ END OF FILE *****/